<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
	
	<title>Achievents</title>
	
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	
	<!-- Reference Bootstrap files -->
	<link rel="stylesheet"
		 href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
	
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.0/jquery.min.js"></script>
	
	<script	src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
	
		<style>
		.error {color:red}
	</style>
	
	<script type="text/javascript" src="/js/signup-form.js"></script>
</head>

<body style="background-color: #E3E2E6">

	<div>

		<div id="loginbox" style="margin-top: 150px; margin-left: 565px;"
			class="mainbox col-md-3 col-md-offset-2 col-sm-6 col-sm-offset-2">
			
			<div class="panel panel-info">

				<div class="panel-heading">
					<div class="panel-title text-center">Registrazione</div>
				</div>

				<div style="padding-top: 30px" class="panel-body">

					<!-- Registration Form -->
					<form id="form" th:action="@{/registrati}" 
						  	   th:object="${user}" method="POST"
						  	   class="form-horizontal" onsubmit="return validateForm()">

					    <!-- Place for messages: error, alert etc ... -->
					    <div class="form-group">
					        <div class="col-xs-15">
					            <div>
								
									<!-- Check for registration error -->
									<div style="display:none;" id="errore" class="alert alert-danger col-xs-offset-1 col-xs-10">
										<span id="errorMessage"></span>
									</div>
																											
					            </div>
					        </div>
					    </div>

						<!-- User name -->
						<div style="margin-bottom: 25px" class="input-group">
							<span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span> 
							<input id="username" type="text" th:field="*{username}" placeholder="username (*)" class="form-text form-control" />
						</div>

						<!-- Password -->
						<div style="margin-bottom: 25px" class="input-group">
							<span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span> 
							<input id="password" type="password" th:field="*{password}" placeholder="password (*)" class="form-text form-control" th:errorclass="fieldError" />
						</div>
						
						<!-- Confirm Password -->
						<div id="confirm" style="margin-bottom: 25px" class="input-group">
							<span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span> 
							<input id="confirmPass" type="password" placeholder="confirm password (*)" class="form-text form-control" />
						</div>
						
						<div style="margin-bottom: 25px" class="input-group">
							<select id="tipo" th:field="*{tipo}" class="form-control">
							  <option value="" hidden="true">Tipologia Utente</option>
							  <option value="" disabled="disabled" default="true">Tipologia Utente</option>
							  <option th:value="azienda">Azienda</option>
							  <option th:value="universita">Università</option>
							  <option th:value="studente">Studente</option>
							</select>
						</div>
						
						<!-- Register Button -->
						<div style="margin-top: 10px" class="form-group">						
							<div class="col-sm-6 controls">
								<button type="submit" class="btn btn-success"><span style="margin-left: 117px; margin-right: 117px;">Registrati</span></button>
							</div>
						</div>
						<a th:href="@{/showLogin}">Torna al login</a>
						
						
					</form>

				</div>

			</div>

		</div>

	</div>

</body>
</html>